### Method

# Gtk DirectoryListset_attributes

#### Declaration [src]

    void
    gtk_directory_list_set_attributes (
      GtkDirectoryList* self,
      const char* attributes
    )

#### Description [src]

Sets the `attributes` to be enumerated and starts the enumeration.

If `attributes` is `NULL`, the list of file infos will still be created, it will just not contain any extra attributes.

Sets property | `Gtk.DirectoryList:attributes`

#### Parameters

`attributes`

  Type: `const char*`

  The attributes to enumerate.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.